org.apache.ignite.cluster

## Interface ClusterStartNodeResult

All Known Implementing Classes:
  ClusterStartNodeResultImpl

    public interface ClusterStartNodeResult

Cluster start node result information.

### Method Summary

Methods
`String` `getError()` Gets error message if any.
`String` `getHostName()` Gets host name.
`boolean` `isSuccess()` Gets result of success or failure.

### Method Detail

#### getHostName

    String getHostName()

Gets host name.

Returns:
  Host name.

#### isSuccess

    boolean isSuccess()

Gets result of success or failure.

Returns:
  Success or failure. `True` if success.

#### getError

    @Nullable
    String getError()

Gets error message if any.

Returns:
  Error massage.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017